VERSION 5.00
Object = "{2F7D79C0-01AC-11D5-B32A-0050DADF6C37}#1.7#0"; "SQLStudioCDCon.ocx"
Begin VB.Form frmCreateIndex 
   Caption         =   "Index Definition"
   ClientHeight    =   6810
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   10125
   Icon            =   "CreateIndex.frx":0000
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   6810
   ScaleWidth      =   10125
   ShowInTaskbar   =   0   'False
   Begin SQLStudioCDCon.IndexDefinition ctlIndexDefinition 
      Height          =   6135
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   9255
      _ExtentX        =   16325
      _ExtentY        =   10821
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&Session"
      NegotiatePosition=   1  'Left
      Begin VB.Menu mnuFileConnect 
         Caption         =   "&Connect"
      End
      Begin VB.Menu mnuFileDisconnect 
         Caption         =   "&Disconnect"
      End
      Begin VB.Menu mnuFileNewInstance 
         Caption         =   "&New SQL Sutdio"
      End
      Begin VB.Menu mnuSep3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuSettings 
         Caption         =   "S&ettings"
      End
      Begin VB.Menu mnuFileSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect1"
         Index           =   0
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect2"
         Index           =   1
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect3"
         Index           =   2
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect4"
         Index           =   3
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect5"
         Index           =   4
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect6"
         Index           =   5
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect7"
         Index           =   6
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect8"
         Index           =   7
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect9"
         Index           =   8
      End
      Begin VB.Menu mnuLRUConnect 
         Caption         =   "Connect10"
         Index           =   9
      End
      Begin VB.Menu mnuFileSep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuView 
      Caption         =   "&View"
      Enabled         =   0   'False
      NegotiatePosition=   1  'Left
      Begin VB.Menu mnuViewDirectSQL 
         Caption         =   "&SQL Dialog"
      End
      Begin VB.Menu mnuViewDirectSQLAC 
         Caption         =   "SQL Dialog &Auto Commit Off"
      End
      Begin VB.Menu mnuViewNewQueryByExample 
         Caption         =   "&Form Dialog"
      End
      Begin VB.Menu mnuViewNewVisualQuery 
         Caption         =   "&Visual Query"
      End
      Begin VB.Menu mnuViewCatalogManager 
         Caption         =   "&Catalog Manager"
      End
      Begin VB.Menu mnuViewStatusWindow 
         Caption         =   "Status &Window"
      End
   End
   Begin VB.Menu mnuWindow 
      Caption         =   "&Window"
      NegotiatePosition=   3  'Right
      WindowList      =   -1  'True
      Begin VB.Menu mnuWindowTileHorizontally 
         Caption         =   "Tile &Horizontally"
      End
      Begin VB.Menu mnuWindowTileVertically 
         Caption         =   "Tile &Vertically"
      End
      Begin VB.Menu mnuWindowCascade 
         Caption         =   "&Cascade"
      End
      Begin VB.Menu mnuWindowArrangeIcons 
         Caption         =   "&Arrange Icons"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      NegotiatePosition=   3  'Right
      Begin VB.Menu mnuHelpTopics 
         Caption         =   "SQL Studio &Topics"
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuHelpSep 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About SQL Studio"
      End
   End
End
Attribute VB_Name = "frmCreateIndex"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' --- GPL ---
'
' Copyright (C) 2000-2001 SAP AG
'
' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'
' --- GPL ---
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
' Form:       SQLStudio.frmCreateIndex - Form for Creating a new Index Definition
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Option Explicit

Const MODULE_NAME = "SQLStudio.frmCreateIndex"

'=========================================================================================
'    property:      AppVersion (Let)
'    description:   Sets the private member to the given value.
'    arguments:     [in] NewAppVersion - new value of the property
'    return value:  -
'=========================================================================================
Public Property Let appVersion(NewAppVersion As Long)
    On Error GoTo errP_LET_AppVersion

    Const FUNCTION_NAME = "p_let appVersion"
    
    ctlIndexDefinition.appVersion = NewAppVersion
    
    Exit Property
    
errP_LET_AppVersion:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Property

'=========================================================================================
'    property:      globalInfo
'    description:   sets a object of type globalInfo
'    arguments:     newGlobalInfo, a globalcom object
'
'    return value:  /
'
'=========================================================================================
Public Property Set globalInfo(newGlobalInfo As SQLStudioMan.globalInfo)
    On Error GoTo errP_SET_globalInfo

    Const FUNCTION_NAME = "P_SET globalInfo"
    
    Set ctlIndexDefinition.globalInfo = newGlobalInfo
    
    Exit Property
    
errP_SET_globalInfo:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Property
'=========================================================================================
'    property:      Connection
'    description:   sets a sapdb connection object
'    arguments:     NewConnection, connection object
'
'    return value:  /
'
'=========================================================================================
Public Property Set connection(NewConnection As SQLStudioDBLayer.connection)
    On Error GoTo errP_SET_Connection

    Const FUNCTION_NAME = "P_Set connection"

    Set ctlIndexDefinition.connection = NewConnection

    Exit Property

errP_SET_Connection:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Property

Private Sub ctlIndexDefinition_CloseMe()
    On Error GoTo errCtlIndexDefinition_CloseMe

    Const FUNCTION_NAME = "ctlIndexDefinition_CloseMe"

    Unload Me

    Exit Sub

errCtlIndexDefinition_CloseMe:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub ctlIndexDefinition_ShowSQLInDirectSQL(oSFC As SQLStudioMan.StoredFileContent)
    On Error GoTo errCtlIndexDefinition_ShowSQLInDirectSQL

    Const FUNCTION_NAME = "ctlInexDefinition_ShowSQLInDirectSQL"
    
    openSQLDialog oSFC
    
    Exit Sub
    
errCtlIndexDefinition_ShowSQLInDirectSQL:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      ..._Activate
'    description:   occurs when an object becomes the active window.
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_Activate()
    On Error GoTo errForm_Activate

    Const FUNCTION_NAME = "Form_Activate"
     
    If Forms.count > 1 Or frmMain.ctlCM.Visible = True Then _
        frmMain.tbrMain.Buttons("Execute").Enabled = True
        
    mnuViewStatusWindow.Checked = frmMain.mnuViewStatusWindow.Checked
    mnuViewCatalogManager.Checked = frmMain.mnuViewCatalogManager.Checked
        
    Exit Sub
    
errForm_Activate:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      ..._GotFocus
'    description:   Occurs when an object receives the focus,
'                   either by user action, such as tabbing to or clicking the object,
'                   or by changing the focus in code using the SetFocus method.
'                   A form receives the focus only when all visible controls
'                   are disabled.
'    arguments:     /
'
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_GotFocus()
  On Error GoTo errForm_GotFocus

    Const FUNCTION_NAME = "Form_GotFocus"
        
                    
    Exit Sub
    
errForm_GotFocus:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
Private Sub Form_Load()
    On Error GoTo errForm_Load

    Dim i      As Integer
    
    Const FUNCTION_NAME = "Form_Load"
    
    Me.Height = 3 * frmMain.ScaleHeight \ 4
    If frmMain.ScaleWidth > 9000 Then
        Me.Width = 9000
    Else
        Me.Width = frmMain.ScaleWidth
    End If
    Me.Move 0, (Forms.count - 2) * 300
    
    For i = 0 To 9
    
        mnuLRUConnect(i).Caption = frmMain.mnuLRUConnect(i).Caption
        mnuLRUConnect(i).Visible = frmMain.mnuLRUConnect(i).Visible
    Next i
    
    mnuFileSep1.Visible = frmMain.mnuFileSep1.Visible
    mnuView.Enabled = frmMain.mnuView.Enabled
    mnuViewDirectSQLAC.Enabled = frmMain.mnuViewDirectSQLAC.Enabled
    mnuViewNewQueryByExample.Enabled = frmMain.mnuViewNewQueryByExample.Enabled
    mnuViewNewVisualQuery.Enabled = frmMain.mnuViewNewVisualQuery.Enabled
    
    
    ctlIndexDefinition.callingWindow = frmMain.HWnd
    
    Exit Sub
    
errForm_Load:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

'=========================================================================================
'    function:      ..._QueryUnload
'    description:   Occurs before a form or application closes.
'    arguments:     [out] cancel,  setting this argument to any value other than 0 stops the QueryUnload event in all loaded forms and stops the form and application from closing.
'                   [in] unloadmode,a value or constant indicating the cause of the QueryUnload event, as described in Return Values.
'                                   {vbFormControlMenu ,vbFormCode,vbAppWindows,vbAppTaskManager,vbFormMDIForm,vbFormOwner }
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    On Error GoTo errForm_QueryUnload

    Const FUNCTION_NAME = "Form_QueryUnload"
        
    
    
    Exit Sub
    
errForm_QueryUnload:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      ..._Resize
'    description:   Occurs when an object is first displayed or when the window state of an object changes.
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_Resize()
    On Error GoTo errForm_Resize

    Const FUNCTION_NAME = "Form_Resize"

    resizeControls

    Exit Sub

errForm_Resize:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      resizeControls
'    description:   place all elements of control due to new size
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub resizeControls()
    On Error GoTo errResizeControls

    Const FUNCTION_NAME = "resizeControls"
    Const MAX_WIDTH = 4500
    Const MAX_HEIGHT = 5000
    
    If Me.WindowState = vbMinimized Then Exit Sub
    
    If Me.WindowState = vbNormal Then
        If Me.Width < 4096 Then Me.Width = 4096
        If Me.Height < 4096 Then Me.Height = 4096
    End If
    
    If ScaleWidth > MAX_WIDTH Then
        ctlIndexDefinition.Width = ScaleWidth
    End If
    
    If ScaleHeight > MAX_HEIGHT Then
        ctlIndexDefinition.Height = ScaleHeight
    End If
    
    Exit Sub
    
errResizeControls:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      Form_Unload
'    description:   Occurs when a form is about to be removed from the screen.
'                   This event is triggered by a user closing the form using
'                   the Close command on the Control menu or an Unload statement.
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_Unload(Cancel As Integer)
    On Error GoTo errForm_Unload

    Const FUNCTION_NAME = "Form_Unload"
    
    'Use a timer to reset the focus to avoid a strange effect concerning
    'some menus of the mdi main form. e.g. the menu exit does not work
    'when the focus is set to the catalog control here in the unload function
    frmMain.tmrSetFocus.Enabled = True
        
    Exit Sub

errForm_Unload:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuFile_Click()
    On Error GoTo ErrmnuFile_Click

    Const FUNCTION_NAME = "mnuFile_Click"
    
    mnuFile = frmMain.mnuFile

    mnuFileConnect = frmMain.mnuFileConnect
    mnuFileDisconnect = frmMain.mnuFileDisconnect
    mnuFileExit = frmMain.mnuFileExit
       
    Exit Sub
    
ErrmnuFile_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuFileConnect_Click()
    On Error GoTo ErrmnuFileConnect_Click

    Const FUNCTION_NAME = "mnuFileConnect_Click"
    
    frmMain.mnuFileConnect_Click
    
    Exit Sub
    
ErrmnuFileConnect_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuFileDisconnect_Click()
    On Error GoTo ErrmnuFileDisconnect_Click

    Const FUNCTION_NAME = "mnuFileDisconnect_Click"
    
    frmMain.mnuFileDisconnect_Click
    
    Exit Sub
    
ErrmnuFileDisconnect_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuFileNewInstance_Click()
    On Error GoTo ErrmnuFileNewInstance_Click
    
    Const FUNCTION_NAME = "mnuFileNewInstance_Click"
    
    openNewInstance
    
    Exit Sub
    
ErrmnuFileNewInstance_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Public Sub mnuLRUConnect_Click(Index As Integer)
    On Error GoTo ErrmnuLRUConnect_Click
    
    Const FUNCTION_NAME = "mnuLRUConnect_Click"
    
    frmMain.mnuLRUConnect_Click Index
    
    Exit Sub
    
ErrmnuLRUConnect_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuFileExit_Click()
    On Error GoTo ErrmnuFileExit_Click

    Const FUNCTION_NAME = "mnuFileExit_Click"
    
    frmMain.mnuFileExit_Click
    
    Exit Sub
    
ErrmnuFileExit_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuViewStatusWindow_Click()
 On Error GoTo ErrmnuViewStatusWindow_Click

    Const FUNCTION_NAME = "mnuViewStatusWindow_Click"
    
    displayStatusWindow Not mnuViewStatusWindow.Checked
    
    Exit Sub
    
ErrmnuViewStatusWindow_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
Public Sub mnuViewCatalogManager_Click()
 On Error GoTo ErrmnuViewCatalogManager_Click

    Const FUNCTION_NAME = "mnuViewCatalogManager_Click"
    
    displayCatalogManager Not mnuViewCatalogManager.Checked
    
    Exit Sub
    
ErrmnuViewCatalogManager_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
Private Sub mnuView_Click()
    On Error GoTo ErrmnuView_Click

    Const FUNCTION_NAME = "mnuView_Click"
    
    mnuView = frmMain.mnuView

    mnuViewDirectSQL = frmMain.mnuViewDirectSQL
    mnuViewNewVisualQuery = frmMain.mnuViewNewVisualQuery
    mnuViewNewQueryByExample = frmMain.mnuViewNewQueryByExample
            
    Exit Sub
    
ErrmnuView_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuViewDirectSQL_Click()
    On Error GoTo ErrmnuViewDirectSQL_Click

    Const FUNCTION_NAME = "mnuViewDirectSQL_Click"
    
    frmMain.mnuViewDirectSQL_Click
    
    Exit Sub
    
ErrmnuViewDirectSQL_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuViewDirectSQLAC_Click()
    On Error GoTo ErrmnuViewDirectSQL_Click

    Const FUNCTION_NAME = "mnuViewDirectSQL_Click"
    
    frmMain.mnuViewDirectSQLAC_Click
    
    Exit Sub
    
ErrmnuViewDirectSQL_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME

End Sub

Private Sub mnuViewNewQueryByExample_Click()
    On Error GoTo ErrmnuViewNewQueryByExample_Click

    Const FUNCTION_NAME = "mnuViewNewQueryByExample_Click"
    
    frmMain.mnuViewNewQueryByExample_Click
    
    Exit Sub
    
ErrmnuViewNewQueryByExample_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuViewNewVisualQuery_Click()
    On Error GoTo ErrmnuViewNewVisualQuery_Click

    Const FUNCTION_NAME = "mnuViewNewVisualQuery_Click"
    
    frmMain.mnuViewNewVisualQuery_Click
    
    Exit Sub
    
ErrmnuViewNewVisualQuery_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuSettings_Click()
    On Error GoTo ErrmnuSettings_Click

    Const FUNCTION_NAME = "mnuSettings_Click"
    
    showSettings
    
    Exit Sub
    
ErrmnuSettings_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
Private Sub mnuWindow_Click()
    On Error GoTo ErrmnuWindow_Click

    Const FUNCTION_NAME = "mnuWindow_Click"
    
    mnuWindow = frmMain.mnuWindow

    mnuWindowTileHorizontally = frmMain.mnuWindowTileHorizontally
    mnuWindowTileVertically = frmMain.mnuWindowTileVertically
    mnuWindowCascade = frmMain.mnuWindowCascade
    mnuWindowArrangeIcons = frmMain.mnuWindowArrangeIcons
    
    Exit Sub
    
ErrmnuWindow_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuWindowTileHorizontally_Click()
    On Error GoTo ErrmnuWindowTileHorizontally_Click

    Const FUNCTION_NAME = "mnuWindowTileHorizontally_Click"
    
    frmMain.mnuWindowTileHorizontally_Click
    
    Exit Sub
    
ErrmnuWindowTileHorizontally_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuWindowTileVertically_Click()
    On Error GoTo ErrmnuWindowTileVertically_Click

    Const FUNCTION_NAME = "mnuWindowTileVertically_Click"
    
    frmMain.mnuWindowTileVertically_Click
    
    Exit Sub
    
ErrmnuWindowTileVertically_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuWindowCascade_Click()
    On Error GoTo ErrmnuWindowCascade_Click

    Const FUNCTION_NAME = "mnuWindowCascade_Click"
    
    frmMain.mnuWindowCascade_Click
    
    Exit Sub
    
ErrmnuWindowCascade_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuWindowArrangeIcons_Click()
    On Error GoTo ErrmnuWindowArrangeIcons_Click

    Const FUNCTION_NAME = "mnuWindowArrangeIcons_Click"
    
    frmMain.mnuWindowArrangeIcons_Click
    
    Exit Sub
    
ErrmnuWindowArrangeIcons_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuHelp_Click()
    On Error GoTo ErrmnuWindow_Click

    Const FUNCTION_NAME = "mnuWindow_Click"
    
    mnuHelp = frmMain.mnuHelp

    mnuHelpAbout = frmMain.mnuHelpAbout
    
    Exit Sub
    
ErrmnuWindow_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuHelpTopics_Click()
 On Error GoTo ErrmnuHelpTopics_Click

    Const FUNCTION_NAME = "mnuHelpTopics_Click"
    
     If frmMain.ctlCM.isActive Then
        showHelp HID_CATALOG_MANAGER
    Else
        showHelp HID_CREATING_AN_INDEX
    End If
    
    Exit Sub
    
ErrmnuHelpTopics_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub mnuHelpAbout_Click()
    On Error GoTo ErrmnuHelpAbout_Click

    Const FUNCTION_NAME = "mnuHelpAbout_Click"
    
    frmMain.mnuHelpAbout_Click
    
    Exit Sub
    
ErrmnuHelpAbout_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Public Function execute()
    On Error GoTo ErrExecute
    
    Const FUNCTION_NAME = "Execute"
    
    ctlIndexDefinition.execute
    
    Exit Function
    
ErrExecute:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Function
Public Function loadColumnDefinition(sOwner As String, sTable As String)
    On Error GoTo errLoadColumnDefinition
    
    Const FUNCTION_NAME = "LoadColumnDefinition"
    
    ctlIndexDefinition.loadColumnDefinitionEx sOwner, sTable
    
    Exit Function
    
errLoadColumnDefinition:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Function

Public Function loadIndexDefinition(sName As String, sOwner As String, sTable As String)
    On Error GoTo errLoadIndexDefinition
    
    Const FUNCTION_NAME = "LoadIndexDefinition"
    
    ctlIndexDefinition.loadIndexDefinition2 sName, sOwner, sTable
    
    Exit Function
    
errLoadIndexDefinition:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Function



